VME Intensity Monitor - Support #12865

Pxint Firmware Update to ABBOE
06/06/2016 05:28 PM - Roger Tokarek

Status: Work in progress Start date: 06/06/2016
Priority: Normal Due date:

Assignee: Roger Tokarek % Done: 70%
Category: Drivers Estimated time: 8.00 hours
Target version: Spent time: 0.00 hour
Description

Provide support for Pxie intensity monitor support firmware version ABBOE in PXINT.

History

#1 - 06/06/2016 06:09 PM - Roger Tokarek

See Firmware Version ABBOE

Changes made to software

Startup script

Baseline Average Size 0x3C1 8 0x0 Modified default value in
startup script, added
vmeintADCBaselineAvgSiz

eSet()
Integration Window Size 0x2BA 16 0x2000 No Change
Window Size Multiplier 0x2B8 8 0x4 "m" command in startup

script, short term - fix this

Averaged Decimation Rate |0x2B7 8 0x7 "m" command in startup
script, short term - fix this

Raw Decimation Rate 0x204 16 OxF "m" command in startup
script, short term - fix this

Class MirrTorDrv

Class MirrTorDrv: added a switch statement to constructors checking for appropriate A32 data pointer address based on firmware version.
Pre-ABBOE-this firmware, raw data was read from A32 offset 0x4000. ABBOE reads decimated data from A32 offset 0x0000.

#2 - 06/06/2016 07:19 PM - Roger Tokarek
- % Done changed from 20 to 30
- Estimated time changed from 4.00 h to 8.00 h

Remaining Tasks
Provide VMEINTCommand() functions in support of Window Size Multiplier, Averaged decimation Rate, and Raw Decimation Rate.

#3 - 06/08/2016 10:05 AM - Roger Tokarek
P:L10TOR in D27 Array Plotter is not acquiring data.

#4 - 08/03/2016 01:20 PM - Roger Tokarek
- Status changed from New to Work in progress

- % Done changed from 30 to 70

Search pxintstartup for "# Window Size Multiplier" for example.
